blueprint
Copy Page
Openforge Catalog
blueprint
returns all blueprints
GET
Creates a blueprint
POST
returns a blueprint by id
GET
Updates a blueprint
PATCH
Deletes a blueprint
DELETE
Returns a list of blueprint ids that match a tag head
GET
Returns a list of tags and their metadata for a blueprint
GET
Resets a list of tags for a blueprint. This will remove existing tags and replace them with the ones passed in
POST
Deletes all tags for a blueprint.
DELETE
Creates a single tag for a blueprint.
POST
Deletes a single tag for a blueprint.
DELETE
tags
Queries tags for a list of blueprint ids
POST
images
returns all blueprints
GET
image
Creates an image
POST
returns a image by id
GET
Updates an image
PATCH
iamge
Deletes an image
DELETE
Schemas
Schemas
Blueprint
Tag
TagQuery
Image
blueprint
Copy Page
Deletes a single tag for a blueprint.
DELETE
/api/blueprints/{blueprint_id}/tags/{tag}
Try it
Run in Apidog
Run in Apidog
Request
Path Params
Generate Code
Request Code Samples
Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
DELETE
'/api/blueprints//tags/'
Responses
🟢
204
No Content
application/json
Deleted
Body
application/json
Generate Code
Example
{
}
ðŸŸ
401
Unauthorized
ðŸŸ
404
Record Not Found
Modified atÂ
2025-01-25 05:24:55
Previous
Creates a single tag for a blueprint.
Next
Queries tags for a list of blueprint ids